<?php

namespace App\Http\Controllers;

use App\Models\Evento;
use App\Models\TipoEvento;
use Illuminate\Http\Request;

class TipoEventoController extends Controller
{
    //
    public function destroy($id) {
        $model = TipoEvento::find($id);
        if (!$model) {
            return response()->json('Elemento no encontrado', 409);
        }
        $valid = Evento::where('tipo_evento_id',$id)->first();
        if ($valid) {
            return response()->json('Hay eventos registrados con este tipo de evento', 409);
        }
        $model->delete();

        $data = ['success' => 'Eliminado'];
        return response()->json($data, 200);
    }
}
